-- Add migration script here
CREATE TABLE "users" (
    "id" uuid NOT NULL,
    "email" text NOT NULL,
    "password" text NOT NULL,
    "verified" boolean DEFAULT false NOT NULL,
    "created_at" timestamp DEFAULT CURRENT_TIMESTAMP,
    "updated_at" timestamp DEFAULT CURRENT_TIMESTAMP,
    CONSTRAINT "users_email_key" UNIQUE ("email"),
    CONSTRAINT "users_pkey" PRIMARY KEY ("id")
) WITH (oids = false);

CREATE INDEX "users_email_idx" ON "users" USING btree ("email");